import java.awt.*;
import java.applet.*;

public class HorizontalBarMeterApplet extends Applet {

    HorizontalBarMeter meter;
    DataReader dataReader = new DataReader();

    public void init(){
        meter = new HorizontalBarMeter();
        add(meter);

        meter.setMinimum(0);
        meter.setMaximum(100);
        
        meter.setForeground(Color.red);
        meter.setBackground(Color.black);

        dataReader = new DataReader();
        dataReader.addDataChangeListener(new DataChangeListener(){
            public void dataChanged(DataChangeEvent e) {
                int val = e.getValue();
                meter.setValue(val);
            }
        });
    }

    public void start(){
        dataReader.setActive(true);
    }

    public void stop(){
        dataReader.stop();
    }

    public void update(Graphics g){
        paint(g);
    }
}
